Bug 136966 - fstab-sync incorrectly types ext3 partition as ntfs
fstab-sync incorrectly types ext3 partition as ntfs
Product: Fedora
Classification: Fedora
Component: hal (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
Depends On:
  Show dependency treegraph
Reported: 2004-10-24 02:02 EDT by Ian Burrell
Modified: 2013-03-05 22:41 EST (History)
1 user (show)

See Also:
Fixed In Version: 0.4.0-8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-10-26 16:05:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
hald verbose output (117.86 KB, text/plain)
2004-10-26 00:15 EDT, Ian Burrell
no flags Details
lshal output (44.84 KB, text/plain)
2004-10-26 00:15 EDT, Ian Burrell
no flags Details
fstab (1.48 KB, text/plain)
2004-10-26 00:21 EDT, Ian Burrell
no flags Details

  None (edit)
Description Ian Burrell 2004-10-24 02:02:31 EDT
Description of problem:

fstab-sync is adding an ext3 partition as type ntfs.  It correctly
detects other ext3 partitions as ext3, and ntfs partitions as ntfs.

Version-Release number of selected component (if applicable):


Steps to Reproduce:
1. Remove automatic entries from /etc/fstab
2. Reboot
3. Attempt to mount partition
Actual results:

mount fails with ntfs not supported.  But partition is ext3 and should
be mountable.

/etc/fstab is incorrect:

/dev/hdb1               /media/idedisk5         ntfs   
pamconsole,exec,noauto,managed 0 0

Expected results:

Type should be ext3 instead of ntfs.

Additional info:

The fstype is being reported as ntfs by the lshal.  The partition
table type is the correct one.
Comment 1 David Zeuthen 2004-10-24 18:16:32 EDT
Hi, thanks for reporting this - please, as root, shutdown the hal
daemon (service haldaemon stop) and include the output of 'hald
--daemon=no --verbose=yes' in this bug. For more information please
see http://freedesktop.org/Software/HalTraces

Comment 2 Ian Burrell 2004-10-26 00:15:17 EDT
Created attachment 105773 [details]
hald verbose output
Comment 3 Ian Burrell 2004-10-26 00:15:46 EDT
Created attachment 105774 [details]
lshal output
Comment 4 Ian Burrell 2004-10-26 00:21:55 EDT
Created attachment 105775 [details]

/dev/hdb1 is the partition that is being misidentified as ntfs.
Comment 5 Ian Burrell 2004-10-26 00:59:26 EDT
I am pretty sure that this partition was ntfs before it was
reformatted as ext3.  I looked at the first sector and it is very
similar to the first sector of the real NTFS partitions.  My guess is
that making the ext3 filesystem did not overwrite the first sector.

mount is also detecting this partition as ntfs.

Clearing the first sector causes hald to detect it as ext3.
Comment 6 David Zeuthen 2004-10-26 16:05:01 EDT
I've flipped the probing order in hal to detect ext3 before ntfs; this
should fix the issue. This fix is in hal-0.4.0-8 available from here


and will hopefully make FC3.

Note You need to log in before you can comment on or make changes to this bug.